Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.iapi
Interface BindingContext

All Known Implementing Classes:
  BindingContextImpl, BindingContextImpl

    public interface BindingContext

Interface used by the BPEL Server to establish communication links with the external world via the Integration Layer. This interface is implemented by the integration layer.

Method Summary
`EndpointReference` | `activateMyRoleEndpoint(javax.xml.namespace.QName processId, Endpoint myRoleEndpoint)` Activate a "myRole" endpoint.
`long` | `calculateSizeofService(EndpointReference epr)` Calculate the size of the service that this endpoint references.
`PartnerRoleChannel` | `createPartnerRoleChannel(javax.xml.namespace.QName processId, javax.wsdl.PortType portType, Endpoint initialPartnerEndpoint)` Create a communication channel for communicating with a partner.
`void` | `deactivateMyRoleEndpoint(Endpoint myRoleEndpoint)` Deactivate a "myRole" endpoint.

Method Detail

### activateMyRoleEndpoint

    EndpointReference activateMyRoleEndpoint(javax.xml.namespace.QName processId,
                                             Endpoint myRoleEndpoint)

  Activate a "myRole" endpoint. This is a notifaction to the integration layer that the BPEL engine is interested in receiving requests for the given endpoint and that the IL should establish the communication mechanisms that would make this happen.

  Parameters:
    `processId` -
    `myRoleEndpoint` - endpoint identifer (service qname + port)

### deactivateMyRoleEndpoint

    void deactivateMyRoleEndpoint(Endpoint myRoleEndpoint)

  Deactivate a "myRole" endpoint. This is a notification to the integration layer that the BPEL engine is no longer interested in receiving requests for the given endpoint and that the IL should tear down any communication mechanisms created in `activateMyRoleEndpoint(QName, Endpoint)`.

  Parameters:
    `myRoleEndpoint` -

### createPartnerRoleChannel

    PartnerRoleChannel createPartnerRoleChannel(javax.xml.namespace.QName processId,
                                                javax.wsdl.PortType portType,
                                                Endpoint initialPartnerEndpoint)

  Create a communication channel for communicating with a partner. A default or initial value for the partner endpoint may be given.

  Parameters:
    `processId` - process identifier of the process requesting this channel
    `portType` - type of the port
    `initialPartnerEndpoint` - endpoint identifer (service qname + port) of the partner that we will communicate with on the link by default (i.e. if the partner link is not assigned to)

### calculateSizeofService

    long calculateSizeofService(EndpointReference epr)

  Calculate the size of the service that this endpoint references.

  Parameters:
    `epr` - the endpoint reference for the service

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD